<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Bootstrap Layout and Best Practices</title>
    <!-- CSS Stylesheet -->
    <link rel="stylesheet" href="./style.css">
    <!-- CSS bootstrap link  -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
</head>
<body>
    <main>
        <header>
            <div>
                <h1>Welcome to My Website</h1>
            </div>
        </header>
    
        <nav>
            <div>Home</div>
            <div>About</div>
            <div>Contact</div>    
        </nav>
                   
        <section>
            <figure>
                <div>
                    <img src="https://place-puppy.com/550x350">
                </div>
            </figure>
            <figcaption>
                <h2>About Us</h2>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc interdum risus sed arcu commodo, at cursus magna porttitor. Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
                tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
                quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
                consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
                cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
                proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
            </figcaption>
        </section>
        
        <section>
            <div>
                <div>
                    <h3>Feature 1</h3>
                </div>
            </div>
    
            <div>
                <div>
                    <h3>Feature 2</h3>
                </div>
            </div>
    
            <div>
                <div>
                    <h3>Feature 3</h3>
                </div>
            </div>
        </section>
        
        <footer>
            <div>Footer</div>
            <div>|</div>
            <div>Terms of Use</div>
            <div>|</div>
            <div>Copyright 2023</div>
        </footer>
    </main>                      

    
    <!-- JS Bootsrap -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-geWF76RCwLtnZ8qwWowPQNguL3RmwHVBC9FhGdlKrxdiJJigb/j/68SIy3Te4Bkz" crossorigin="anonymous"></script>
</body>
</html>